Package twisted :: Package protocols :: Module smtp :: Class Address |
[frames | no frames]

## Class Address

Parse and hold an RFC 2821 address.

Source routes are stipped and ignored, UUCP-style bang-paths and %-style routing are not parsed.

Method Summary
| `__init__(self, addr, defaultDomain)`
| `__repr__(self)`
| `__str__(self)`
| ``dequote`(self, addr)` Remove RFC-2821 quotes from address.

Instance Variable Summary
`str` | `domain`: The domain within which this address resides.
`str` | `local`: The local ("user") portion of this address.

Class Variable Summary
`SRE_Pattern` | `atomre` = `[-A-Za-z0-9!#\$%&'\*\+/=\?\^_`\{\|\}~]`
`SRE_Pattern` | `dequotebs` = `\\(.)`
`SRE_Pattern` | `tstring` = `((?:"[^"]*"|\\.|[-A-Za-z0-9!#\$%&'\*\+/=\?\^_`...`

Method Details

### dequote(self, addr) Remove RFC-2821 quotes from address.

Instance Variable Details

### domain The domain within which this address resides. Type: `str`

### local The local ("user") portion of this address. Type: `str`

Class Variable Details

    ### atomre Type: `SRE_Pattern` Value:
        [-A-Za-z0-9!#\$%&'\*\+/=\?\^_`\{\|\}~]

    ### dequotebs Type: `SRE_Pattern` Value:
        \\(.)

    ### tstring Type: `SRE_Pattern` Value:
        ((?:"[^"]*"|\\.|[-A-Za-z0-9!#\$%&'\*\+/=\?\^_`\{\|\}~])+|.)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:06 2003 | http://epydoc.sf.net